%define	major	1

%define libname		%mklibname %name %major
%define develname	%mklibname -d %name

Name:		jahshaka
Summary: 	OpenSource Realtime Editing and Effects System
Version:	2.0.0
Release:	%mkrel 3
Source0:	%{name}-2.0.tar.bz2
Source1:	icons-%{name}.tar.bz2
Patch0:		jahshaka-plugins-gcc41warnings.patch
Patch1:		jahshaka-2.0-20060916-gcc-warnings.patch
Patch2:		jahshaka-2.0-openassetlib-link.patch
Patch3:		jahshaka-2.0-rc4-size_t.patch
Patch4:		jahshaka-2.0.0-misc.patch
URL:		http://www.jahshaka.com
License:	GPL
Group:		Video
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	GL-devel
BuildRequires:	ImageMagick
BuildRequires:	libavifile-devel
BuildRequires:	mlt
BuildRequires:	mlt-devel
BuildRequires:	mlt++-devel
BuildRequires:	openlibraries-devel
BuildRequires:	qt3-devel
BuildRequires:  openal-devel
Requires:       %{libname} = %{version}-%{release}

%description
The worlds first OpenSource Realtime Editing and Effects System. Jahshaka
takes advantage of the power of OpenGL and OpenML to give its users
exceptional levels of performance. 


%package -n     %{libname}
Summary:        Main libraries for jahshaka
Group:          System/Libraries
Obsoletes:	%mklibname %name 1.0.0

%description -n %{libname}
This package contains the libraries needed to run jahshaka.

%package -n     %{develname}
Summary:        Development files for jahshaka
Group:          Development/C++
Requires:	%libname = %{version}-%{releae}
Conflicts:	%libname < 2.0.0-2mdk

%description -n %{develname}
This package contains the development files needed to build upon jahshaka.

%prep
%setup -q -n %{name}

#patch0 -p1 -b .gcc41warn
%patch1 -p1 -b .gcc41
#%patch2 -p1 -b .link
%patch3 -p1 -b .size_t
%patch4 -p1 -b .misc


# Fix libpath for 64bit
perl -pi -e 's@\$\$JAHPREFIX/lib@\$\$JAHPREFIX/%{_lib}@g' ./source/OpenLibraries/lib_standard.pro

%build
export PATH=$PATH:%{qt3dir}/bin
export LD_LIBRARY_PATH=`pwd`/source/OpenLibraries/lib

./configure \
	--prefix=%{_prefix}

#pushd source/OpenLibraries/openmedialib/mediaobject
#qmake mediaobject.pro
#make
#popd

make
./configure --prefix=$RPM_BUILD_ROOT%{_prefix}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# Icons
mkdir -p $RPM_BUILD_ROOT/%{_iconsdir}
tar jxf %{SOURCE1} -C %{buildroot}%{_iconsdir}

mkdir -p %buildroot%{_datadir}/applications
cat > %buildroot%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Jahshaka
Comment=OpenSource Realtime Editing and Effects System
Exec=jahshaka %f
Icon=jahshaka
Terminal=false
Type=Application
Categories=AudioVideoEditing;Video;AudioVideo;
Encoding=UTF-8
EOF

find $RPM_BUILD_ROOT%{_datadir} -type f -print0 | xargs -0 chmod 644
find $RPM_BUILD_ROOT%{_datadir} -type f -name '*.so*' -print0| xargs -0 chmod 755

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README INSTALL COPYING AUTHORS
%{_datadir}/%{name}
%{_bindir}/*
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/hicolor/*/%{name}.png
%{_datadir}/applications/*
%exclude %{_datadir}/%{name}/fonts/arial.ttf
%exclude %{_datadir}/%{name}/fonts/comic.ttf
%exclude %{_datadir}/%{name}/fonts/impact.ttf
%exclude %{_datadir}/%{name}/fonts/times.ttf

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/lib*.so


%changelog
* Mon Aug 13 2007 Funda Wang <fundawang@mandriva.org> 2.0.0-3mdv2008.0
+ Revision: 62798
- add back desktop entry

* Mon Aug 13 2007 Funda Wang <fundawang@mandriva.org> 2.0.0-2mdv2008.0
+ Revision: 62465
- fix build by dropping patch2
- simplify the build process
- fix fdo categories
- introduce devel package
- Rebuild


* Sun Mar 11 2007 Giuseppe Ghibò <ghibo@mandriva.com> 2.0.0-1mdv2007.1
+ Revision: 141404
- Release 2.0 final.
- Rebuilt Patch3.
- Added Patch4.
- Unbzip2 patches.

* Fri Feb 16 2007 Lenny Cartier <lenny@mandriva.com> 2.0.0-0.RC4.20060618.2mdv2007.0
+ Revision: 121628
- Buildrequires
- Add icons tarball
- Update to 2.0 RC4 snapshot
- Import jahshaka

* Fri Oct 07 2005 Lenny Cartier <lenny@mandriva.com> 2.0-0.RC1.1mdk
- 2.0.0RC1

